Nanoleaf API problem

Hi All,

I had to do a hard reset on my Nanoleaf. Now did the 5 seconds push to get a new API key.
Add this key in my YAML File.

In HA I see a light.nanoleaf but when I want to turn it on. I get this error in log:

Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/pynanoleaf/pynanoleaf.py", line 189, in _request
    response.raise_for_status()
  File "/usr/local/lib/python3.7/site-packages/requests/models.py", line 940, in raise_for_status
    raise HTTPError(http_error_msg, response=self)
requests.exceptions.HTTPError: 400 Client Error: Bad Request for url: http://192.168.100.2:16021/api/v1/xGyT4xJfGiEGVSFdAVqhuQgCvTHjuJW9/state

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 564, in async_request_call
    await coro
  File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/src/homeassistant/homeassistant/components/nanoleaf/light.py", line 208, in turn_on
    self._light.on = True
  File "/usr/local/lib/python3.7/site-packages/pynanoleaf/pynanoleaf.py", line 85, in on
    self._put("state", {"on": {"value": value}})
  File "/usr/local/lib/python3.7/site-packages/pynanoleaf/pynanoleaf.py", line 219, in _put
    self._request(path, 'PUT', data)
  File "/usr/local/lib/python3.7/site-packages/pynanoleaf/pynanoleaf.py", line 197, in _request
    raise NanoleafError("Bad Request sent") from e
pynanoleaf.pynanoleaf.NanoleafError: Bad Request sent

When I hit the link I het this JSON response.

{“brightness”:{“value”:75,“max”:100,“min”:0},“colorMode”:“effect”,“ct”:{“value”:3000,“max”:6500,“min”:1200},“hue”:{“value”:0,“max”:360,“min”:0},“on”:{“value”:false},“sat”:{“value”:0,“max”:100,“min”:0}}

Can someone tell me whats going on?

turned on the Nanoleaf in Homekit. After that again with HA and now its working normal.